> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Packs a chat workspace or thread attaches

> A thread's packs add to its workspace's; each turn resolves them as
whoever sent it.



## OpenAPI

````yaml get /api/registry/context/bindings/{target_type}/{target_id}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/registry/context/bindings/{target_type}/{target_id}:
    get:
      tags:
        - Context packs
      summary: Packs a chat workspace or thread attaches
      description: |-
        A thread's packs add to its workspace's; each turn resolves them as
        whoever sent it.
      operationId: get_binding_api_registry_context_bindings__target_type___target_id__get
      parameters:
        - name: target_type
          in: path
          required: true
          schema:
            enum:
              - workspace
              - thread
            type: string
            description: '`workspace` or `thread`.'
            title: Target Type
          description: '`workspace` or `thread`.'
        - name: target_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The workspace's or thread's ID.
            title: Target Id
          description: The workspace's or thread's ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BindingResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    BindingResponse:
      properties:
        target_type:
          type: string
          enum:
            - workspace
            - thread
          title: Target Type
        target_id:
          type: string
          format: uuid
          title: Target Id
        packs:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Packs
        can_edit:
          type: boolean
          title: Can Edit
          default: false
      type: object
      required:
        - target_type
        - target_id
        - packs
      title: BindingResponse
      description: The packs attached to a chat workspace or thread.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.